Package twisted :: Package protocols :: Module dns

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.dns

DNS protocol implementation.

API Stability: Unstable

Future Plans:

- Get rid of some toplevels, maybe.
- Put in a better lookupRecordType implementation.

Author: Moshe Zadka<mailto:moshez@twistedmatrix.com>, Jp Calderone<mailto:exarkun@twistedmatrix.com

Classes
`DNSDatagramProtocol` |
`DNSProtocol` |
`IEncodable` | Interface for something which can be encoded to and decoded from a file object.
`Message` |
`Name` |
`Query` | Represent a single DNS query.
`Record_A` |
`Record_A6` |
`Record_AAAA` |
`Record_AFSDB` |
`Record_CNAME` |
`Record_DNAME` |
`Record_HINFO` |
`Record_MB` |
`Record_MD` |
`Record_MF` |
`Record_MG` |
`Record_MINFO` |
`Record_MR` |
`Record_MX` |
`Record_NS` |
`Record_NULL` |
`Record_PTR` |
`Record_RP` |
`Record_SOA` |
`Record_SRV` |
`Record_TXT` |
`Record_WKS` |
`RRHeader` | A resource record header.
`SimpleRecord` | A Resource Record which consists of a single RFC 1035 domain-name.

Exceptions
`AuthoritativeDomainError` |
`DomainError` |

Function Summary
| `readPrecisely(file, l)`
| `str2time(s)`

Variable Summary
`int` | `A`
`int` | `A6`
`int` | `AAAA`
`int` | `AFSDB`
`int` | `ALL_RECORDS`
`int` | `ANY`
`int` | `AXFR`
`int` | `CH`
`int` | `CNAME`
`int` | `CS`
`int` | `DNAME`
`int` | `EFORMAT`
`int` | `ENAME`
`int` | `ENOTIMP`
`int` | `EREFUSED`
`int` | `ESERVER`
`dictionary` | `EXT_QUERIES`
`int` | `HINFO`
`int` | `HS`
`int` | `IN`
`int` | `IXFR`
`int` | `MAILA`
`int` | `MAILB`
`int` | `MB`
`int` | `MD`
`int` | `MF`
`int` | `MG`
`int` | `MINFO`
`int` | `MR`
`int` | `MX`
`int` | `NS`
`int` | `NULL`
`int` | `OK`
`int` | `OP_INVERSE`
`int` | `OP_NOTIFY`
`int` | `OP_QUERY`
`int` | `OP_STATUS`
`int` | `PORT`
`int` | `PTR`
`dictionary` | `QUERY_CLASSES`
`dictionary` | `QUERY_TYPES`
`dictionary` | `REV_CLASSES`
`dictionary` | `REV_TYPES`
`int` | `RP`
`int` | `SOA`
`int` | `SRV`
`int` | `TXT`
`int` | `WKS`

Variable Details

### A

  Type:
    `int`
  Value:

        1

### A6

  Type:
    `int`
  Value:

        38

### AAAA

  Type:
    `int`
  Value:

        28

### AFSDB

  Type:
    `int`
  Value:

        18

### ALL_RECORDS

  Type:
    `int`
  Value:

        255

### ANY

  Type:
    `int`
  Value:

        255

### AXFR

  Type:
    `int`
  Value:

        252

### CH

  Type:
    `int`
  Value:

        3

### CNAME

  Type:
    `int`
  Value:

        5

### CS

  Type:
    `int`
  Value:

        2

### DNAME

  Type:
    `int`
  Value:

        39

### EFORMAT

  Type:
    `int`
  Value:

        1

### ENAME

  Type:
    `int`
  Value:

        3

### ENOTIMP

  Type:
    `int`
  Value:

        4

### EREFUSED

  Type:
    `int`
  Value:

        5

### ESERVER

  Type:
    `int`
  Value:

        2

### EXT_QUERIES

  Type:
    `dictionary`
  Value:

        {255: 'ALL_RECORDS', 254: 'MAILA', 253: 'MAILB', 252: 'AXFR', 251: 'IX\
        FR'}

### HINFO

  Type:
    `int`
  Value:

        13

### HS

  Type:
    `int`
  Value:

        4

### IN

  Type:
    `int`
  Value:

        1

### IXFR

  Type:
    `int`
  Value:

        251

### MAILA

  Type:
    `int`
  Value:

        254

### MAILB

  Type:
    `int`
  Value:

        253

### MB

  Type:
    `int`
  Value:

        7

### MD

  Type:
    `int`
  Value:

        3

### MF

  Type:
    `int`
  Value:

        4

### MG

  Type:
    `int`
  Value:

        8

### MINFO

  Type:
    `int`
  Value:

        14

### MR

  Type:
    `int`
  Value:

        9

### MX

  Type:
    `int`
  Value:

        15

### NS

  Type:
    `int`
  Value:

        2

### NULL

  Type:
    `int`
  Value:

        10

### OK

  Type:
    `int`
  Value:

        0

### OP_INVERSE

  Type:
    `int`
  Value:

        1

### OP_NOTIFY

  Type:
    `int`
  Value:

        3

### OP_QUERY

  Type:
    `int`
  Value:

        0

### OP_STATUS

  Type:
    `int`
  Value:

        2

### PORT

  Type:
    `int`
  Value:

        53

### PTR

  Type:
    `int`
  Value:

        12

### QUERY_CLASSES

  Type:
    `dictionary`
  Value:

        {255: 'ANY', 4: 'HS', 3: 'CH', 2: 'CS', 1: 'IN'}

### QUERY_TYPES

  Type:
    `dictionary`
  Value:

        {1: 'A',
         2: 'NS',
         3: 'MD',
         4: 'MF',
         5: 'CNAME',
         6: 'SOA',
         7: 'MB',
         8: 'MG',
        ...

### REV_CLASSES

  Type:
    `dictionary`
  Value:

        {'IN': 1, 'ANY': 255, 'CH': 3, 'HS': 4, 'CS': 2}

### REV_TYPES

  Type:
    `dictionary`
  Value:

        {'A': 1,
         'A6': 38,
         'AAAA': 28,
         'AFSDB': 18,
         'ALL_RECORDS': 255,
         'AXFR': 252,
         'CNAME': 5,
         'DNAME': 39,
        ...

### RP

  Type:
    `int`
  Value:

        17

### SOA

  Type:
    `int`
  Value:

        6

### SRV

  Type:
    `int`
  Value:

        33

### TXT

  Type:
    `int`
  Value:

        16

### WKS

  Type:
    `int`
  Value:

        11

Generated by Epydoc 1.1 on Sat Feb 15 21:19:11 2003 | http://epydoc.sf.net